# Uses of Interface
org.eclipse.microprofile.openapi.models.security.SecurityScheme

Packages that use SecurityScheme
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.security
A set of model interfaces to represent various security components of an OpenAPI app.

## Uses of SecurityScheme in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return SecurityScheme
Modifier and Type
Method
Description
`static SecurityScheme`
OASFactory.`createSecurityScheme()`
This method creates a new `SecurityScheme` instance.
`default SecurityScheme`
OASFilter.`filterSecurityScheme(SecurityScheme securityScheme)`
Allows filtering of a particular SecurityScheme.
Methods in org.eclipse.microprofile.openapi with parameters of type SecurityScheme
Modifier and Type
Method
Description
`default SecurityScheme`
OASFilter.`filterSecurityScheme(SecurityScheme securityScheme)`
Allows filtering of a particular SecurityScheme.

## Uses of SecurityScheme in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type SecurityScheme
Modifier and Type
Method
Description
`Map<String,SecurityScheme>`
Components.`getSecuritySchemes()`
Returns the securitySchemes property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type SecurityScheme
Modifier and Type
Method
Description
`Components`
Components.`addSecurityScheme(String key, SecurityScheme securityScheme)`
Adds the given security scheme to this Components' map of security schemes with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type SecurityScheme
Modifier and Type
Method
Description
`default Components`
Components.`securitySchemes(Map<String,SecurityScheme> securitySchemes)`
Sets this Components' securitySchemes property to the given Map containing keys and reusable security scheme objects.
`void`
Components.`setSecuritySchemes(Map<String,SecurityScheme> securitySchemes)`
Sets this Components' securitySchemes property to the given Map containing keys and reusable security scheme objects.

## Uses of SecurityScheme in org.eclipse.microprofile.openapi.models.security

Methods in org.eclipse.microprofile.openapi.models.security that return SecurityScheme
Modifier and Type
Method
Description
`default SecurityScheme`
SecurityScheme.`bearerFormat(String bearerFormat)`
bearerFormat is intended as a hint to the client to identify how the bearer token is formatted.
`default SecurityScheme`
SecurityScheme.`description(String description)`
A short description for security schema.
`default SecurityScheme`
SecurityScheme.`flows(OAuthFlows flows)`
Flows is a REQUIRED property.
`default SecurityScheme`
SecurityScheme.`in(SecurityScheme.In in)`
In is a REQUIRED property that indicates the location of the API key.
`default SecurityScheme`
SecurityScheme.`name(String name)`
Name is a REQUIRED property - this is the name of the header, query or cookie parameter to be used.
`default SecurityScheme`
SecurityScheme.`openIdConnectUrl(String openIdConnectUrl)`
penIdConnectUrl is a REQUIRED property.
`default SecurityScheme`
SecurityScheme.`scheme(String scheme)`
Schema is a REQUIRED property that is the name of the HTTP Authorization scheme to be used in the Authorization header as defined in RFC7235.
`default SecurityScheme`
SecurityScheme.`type(SecurityScheme.Type type)`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.